Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SortingIterator

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.SortingIterator

public final class SortingIterator
extends NodeIteratorBase

Constructor Summary
`SortingIterator(NodeIterator source, NodeSortRecordFactory factory)`

Method Summary
`NodeIterator` | `cloneIterator()` Clone a `SortingIterator` by cloning its source iterator and then sharing the factory and the array of `NodeSortRecords`.
`int` | `getLast()`
`int` | `getPosition()`
`void` | `gotoMark()`
`int` | `next()`
`void` | `setMark()`
`NodeIterator` | `setStartNode(int node)`

Methods inherited from class org.apache.xalan.xsltc.dom.NodeIteratorBase
`includeSelf, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortingIterator

    public SortingIterator(NodeIterator source,
                           NodeSortRecordFactory factory)

Method Detail

### next

    public int next()

### setStartNode

    public NodeIterator setStartNode(int node)

  Overrides:
    setStartNode in class NodeIteratorBase

### getPosition

    public int getPosition()

  Overrides:
    getPosition in class NodeIteratorBase

### getLast

    public int getLast()

  Overrides:
    getLast in class NodeIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

### cloneIterator

    public NodeIterator cloneIterator()

  Clone a `SortingIterator` by cloning its source iterator and then sharing the factory and the array of `NodeSortRecords`.
  Overrides:
    cloneIterator in class NodeIteratorBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.